#include "memsize.h"
:userdoc.
:title.'Ajuda de Recursos del Sistema OS/2'
:body.

:h1 res=ID_MAIN.Introducci
:i1.Introducci
:artwork name='memsize.bmp' align=center.
:p.
Aquest programa mostra per pantalla diferents informacions sobre
els recursos del sistema, i les actualiza una vegada per segon,
si es que el processador t temps per a fer-ho. Les informacions
mostrades sn:
:p.
:hp2.Data/Hora:ehp2. - La data i hora actual, en el format normal
de cada pas, depenent de com estigui configurada la lnia &apos.COUNTRY=&apos. 
al fitxer CONFIG.SYS
:p.
:hp2.Temps transcorregut:ehp2. - El temps que ha passat des de la darrera
ocasi en que s'ha arrencat l'ordinador.
:p.
:hp2.Physical Memory Free:ehp2. - La quantitat de memria lliure del
sistema, d'acord amb all que la funci :hp1.DosMemAvail:ehp1. indica.
:note.This function is part of the old 16-bit system, and only reports
physical memory below 16Mb, and was also altered just before
OS/2 2.0 was released to never report less than 512K.
#ifdef USE_OS20MEMU
:note.If the utility program :hpt.OS20MEMU:ehpt.:hdref res=60001. 
and its device driver are installed, this number will be correct, 
at the cost of a higher CPU load.
#endif
:p.
:hp2.Virtual Memory Free:ehp2. - The amount of virtual memory
available, according to the :hp1.DosQuerySysInfo:ehp1. function.
This is the amount of free physical memory, plus the amount of
free space within the current swapping file, plus the amount of
space by which the swapping file could yet grow, less the amount
of free space reserved on the swapping drive.
:p.
:hp2.Tamany del fitxer d'intercanvi:ehp2. - El tamany que ocupa al disc el
fitxer de memria virtual d'intercanvi (swap), SWAPPER.DAT. Per
localitzar aquest fitxer, busqueu al fitxer CONFIG.SYS la lnia que
comena amb SWAPPATH, on trobareu indicat el nom complet (incls el
directori) del fitxer d'intercanvi, aix com l'espai que cal reservar a
la unitat on es troba situat aquest fitxer.
:p.
:hp2.Espai disponible pel fitxer d'intercanvi:ehp2. - La quantitat total
d'espai a la unitat de disc on es troba el fitxer d'intercanvi, menys la
quantitat d'espai que cal reservar. Aquest valor s el tamany mxim que
pot utilitzar el fitxer d'intercanvi.
:p.
:hp2.Unused Swap Space:ehp2. - The amount of free space within the currently
allocated system swap file.  When this drops to zero, the system swap file
must be increased in size, normally by one megabyte at a time.
:p.
:hp2.Tamany del fitxer d'spool:ehp2. - La quantitat total de disc consumida
pels fitxers enviats a l'spooler d'impressora.
:p.
:hp2.Percentatge d's de la CPU:ehp2. - El percentatge aproximat d's
del processador. El valor que es mostra s el percentatge corresponent
al promig d'utilitzaci del darrer segon.
:note.Aquesta funci i el PULSE que s'inclou amb l'OS/2 2.0, no sn gaire compatibles.
:hpt.Why?:ehpt.:hdref res=60002.
:note.If you have the driver :hpt.HRTIMER.SYS:ehpt.:hdref res=60000.  
installed, this number will be more accurate.
:hpt.Why?:ehpt.:hdref res=60003.
:p.
:hp2.Nmero de tasques actives:ehp2. -
El nmero d'entrades a lliista de finestres, que s la llista de veieu quan
premeu CTRL-ESC.
:note.No totes les tasques del sistema sn mostrades a la Llista de
Finestres, donat que algunes tasques no sn visibles.
:p.
:hp2.Process Count:ehp2. - The number of processes currently loaded
on the system.
:p.
:hp2.Thread Count:ehp2. - The number of threads currently running
on the system.  There is at least one thread for each process.
:p.
:hp2.Espai lliure total:ehp2. - La suma de l'espai lliure a totes les
unitats locales de disc no removibles.
:p.
:hp2.Espai lliure a la unitat X:ehp2. - La quanitat total d'espai lliure a
la unitat de disc X.
:p.
Aquesta ajuda s sensible al contexte, com ja se n'haureu adonat.
L'accs a les segents funcions es fa a travs del men de sistema de
la finestra:
:sl compact.
:li.:hpt.Guardar configuraci:ehpt.:hdref res=IDM_SAVE_APPLICATION.
:li.:hpt.Restaurar els valors per defecte:ehpt.:hdref res=IDM_RESET_DEFAULTS.
:li.:hpt.Amagar els controls:ehpt.:hdref res=IDM_HIDE_CONTROLS.
:li.:hpt.Configuraci...:ehpt.:hdref res=IDM_CONFIGURE.
:li.:hpt.Reset Load Meter:ehpt.:hdref res=IDM_RESETLOAD.
:li.:hpt.Copy:ehpt.:hdref res=IDM_COPY.
:li.:hpt.Informaci del programa:ehpt.:hdref res=IDM_ABOUT.
:li.:hpt.Close:ehpt.:hdref res=IDM_EXIT.
:esl.:p.
A ms d'aquestes funcions descrites, el programa accepta ordres dels
controladors de fonts i de la paleta de colors de l'OS/2 2.0, 
and is a DDE server for all the currently displayed items.  
The DDE application name is MEMSIZE, and the item names are the same 
as the default display item names (like Physical Memory Free).

:h1 res=IDM_SAVE_APPLICATION.Guardar configuraci (Opci del men)
:i1.Guardar configuraci (Opci del men)
Quan seleccioneu aquesta opci del men, el programa guarda la posici
actual a la pantalla aix com l'estat dels controls. La propera vegada
que s'executi el programa, ho far a la mateixa possici i amb els
controls amagats (o visibles), d'acord amb la informaci gravada.
:p.
La tecla acceleradora assignada a aquesta funci s F2.

:h1 res=IDM_RESET_DEFAULTS.Restaurar els valors per defecte (Opci del men)
:i1.Restaurar els valors per defecte (Opci del men)
Seleccionant aquesta opci del men, es restaura el tipus de lletra i
els atributs de color als seus valors per defecte.

:h1 res=IDM_HIDE_CONTROLS.Amagar els controls (Opci del men)
:i1.Amagar els controls (Opci del men)
Aquesta opci del men, quan est seleccionada, fa que els controls de
la finestra del programa (el men de sistema, la barra del ttol i el bot
de minimitzaci) s'amagin. s possible variar el valor d'aquesta funci
si premeu dues vegades el bot del mouse dintre de la finestra.
:p.
La tecla acceleradora assignada a aquesta funci s ALT+H.

:h1 res=IDM_CONFIGURE.Configurar (Opci del men)
:i1.Configurar (Opci del men)
Quan seleccioneu aquesta opci del men es visualitzar la pantalla
de configuraci del programa.
For more information, see :hpt.Configure (Dialog):ehpt.:hdref res=IDD_CONFIGURE..
:note.La tecla acceleradora assignada a aquesta funci s Alt+C.

:h2 res=IDD_CONFIGURE.Configurar (Pantalla)
Aquesta pantalla ens permet de canviar tots els aspectes configurables
del funcionament del programa. Per sortir sense fer cap canvi, premeu
la tecla ESCAPE o b feu un clock al bot Anullar.
Per gravar els canvis realitzats, premeu la tecla Enter o b feu un
click al bot Ok.
.br
Els elements configurables sn:
:p.
:hp2.Elements a visualitzar:ehp2.
Podeu seleccionar qualsevol, o tots, els elements que voleu que
s'incloguin a la finestra del programa. Noms heu de marcar els elements
desitjats fent un click al seu damunt per marcar-lo, o b desactivar-los
amb un segon click. Tots els elements marcats sn els que es visualitzaran.
To change an item's default label, or to restore the default label, double-click
on an unselected item.  The item will be selected and a dialog presented
from which you may alter the item label.
:p.
:hp2.Show 'K'ilobytes:ehp2.
This group of radiobuttons allows you to select whether large sizes
are displayed in kilobyte notation always, never, or only when their
values exceed 512K.  
The default is to show all sizes over 512K in this way.  
Keep in mind that one kilobyte is actually 1024 bytes, not 1000.
:p.
:hp2.Prioritat de monitoritzaci:ehp2.
Aquesta opci us permetr establir el valor de prioritat del thread
de monitoritzaci, dins la categoria de temps-crtic. Podeu variar
la prioritat entre 0 i 31. La prioritat 31 s el valor ms elevat al
sistema per sota de les interrupcions fsiques. La prioritat 0 s el
valor ms baix dins la categoria de temps-crtic. Normalment, aquest
valor ha d'estar configurat al mxim per a obtenir un valor ms
acurat. No obstant aix, alguns usuaris han informat que,
ocasionalment, perden algunes dades a les comunicaciones que es fan
mentres el programa est en funcionament. s per aquesta ra que la
prioritat s ara configurable.
:p.
:hp2.Interval de temps:ehp2.
Aquesta opci us permetr establir l'interval d'actualitzaci de la
finestra. Pot variar entre 1.0 segon i 30.0 segons, en increments
d'una dcima de segon. El nmero que es mostra est en dcimes de
segon.
:p.
:hp2.Window Anchor:ehp2.
This control allows you to set the corner of the monitor window which
remains fixed in position when the window size changes.  The monitor
window can change in size when items are added or removed from the active
list, and when the display font is changed from the Font Palette.
:p.
:hp2.Amagar els controls:ehp2.
Quan el programa no est en forma d'icona, el podeu veure amb o sense els
elements normals de les finestres: barra de ttol, men de sistema i els
botons de maximitzar i minimitzar. If you chose to hide these controls,
the window may still be positioned by dragging its center area.
:p.
:hp2.Restar en primer pla:ehp2.
Aquest bot activa la funci que fa restar la finestra del programa
sempre en primer pla. Quan aquesta funci est seleccionada, la finestra
del programa estar sempre al primer pla de visualitzaci, de forma que
sigui sempre visible.
:p.
:hp2.Animaci:ehp2.
Aquest bot activa les funci d'animaci a l'obrir i tancar la finestra.
Quan est activa, la finestra del programa s'obrir de la mateixa forma
que ho fan les carpetes: amb so i moviment. De la mateixa forma que amb
les carpetes, no hi haur cap animaci si ha estat deshabilitada a
nivell de sistema.
:p.
:hp2.Mostrar el nom del sistema de fitxers:ehp2.
Si aquest bot est marcat s'indicar, a ms d'indicar l'espai
lliure a la unitat el nom del sistema de fitxers que utilitza la
mateixa. L's d'aquesta opci comporta un tamany de finestra ms
ampla.
:p.
:hp2.Show Disk Labels:ehp2.
This button causes the individual drive free space entries to show their
disk labels.  Use of this option results in a wider monitor window.
:p.
:hp2.Show Seconds:ehp2.
This button causes the clock and elapsed time displays to include the
seconds of the minute.

:h3 res=IDD_LABEL.Set Item Label (Dialog)
This dialog box displays the current and default label for a display item,
and allows you to alter it.  To change the label, simply type the new
label over the current one.  To restore the label to its default,
click on the Default button.

:h1 res=IDM_RESETLOAD.Reset Load Meter (Menu Option)
:i1.Reset Load Meter (Menu Option)
This menu option allows the user to reset the CPU Load meter,
recalibrating it, causing it to forget previous CPU activity in its
calculations.

:h1 res=IDM_COPY.Copy (Menu Option)
:i1.Copy (Menu Option)
This menu option copies the current window display to the system
clipboard in two formats: Text and Bitmap.  The text version
shows all the currently displayed items in a form suitable for
pasting into a text editor.  The bitmap version shows an exact
copy of the current window, and can be used by graphic editors
and viewers.
:p.
The short-cut key for this command is Ctrl+Ins.

:h1 res=IDM_ABOUT.Informaci del programa (Opci del men)
:i1.Informaci del programa (Opci del men)
Aquesta opci ofereix, quan es selecciona, informaci sobre el programa.
For more information, see :hpt.About (Dialog):ehpt.:hdref res=IDD_ABOUT..

:h2 res=IDD_ABOUT.Informaci del programa (Capsa de dileg)
Aquesta capsa de dileg mostra el nom del programa, la icona i
informaci sobre els drets de cpia i l'autor.

Per sortir d'aquesta capsa de dileg, podeu prmer qualsevol d'aquestes
tecles: ENTER, la barra d'espais o b ESCAPE. Tamb es possible sortir
seleccionat el but OK del mouse.

:h1 res=IDM_EXIT.Close (Menu Option)
:i1.Close (Menu Option)
This menu option, when selected, will cause the program to terminate.

:h1 res=IDM_KEYS_HELP.Ajuda de les tecles
:i1.Ajuda de les tecles
Les segents tecles de funci s'han definit per aquest programa:
:sl compact.
:li.F1 - Ajuda
:li.F2 - Guardar configuraci
:li.F3 - Finalitzar
:li.Alt+C - Configurar
:li.Alt+H - Amagar els controls
:li.Ctrl+Ins - Copy
:esl.:p.

:h1 res=IDD_PROFILE_PATH.Indicar el directori del fitxer .INI (Capsa de dileg)
:i1.Indicar el directori del fitxer .INI (Capsa de dileg)
Aquesta capsa de dileg es mostra quan el programa no pot trobar el
seu fitxer .INI, i pregunta quin s el nom d'aquest fitxer i a quin
directori es troba.
:p.
Noms s'accepten noms vlids de directoris ja
existents. Una vegada que hagiu escrit el nom, prement la tecla
INTRO (RETURN) o b fent un click al bot "OK" fa que el programa
continu la seva seqncia d'inicialitzaci.
:p.
Si, per contra, voleu tallar la inicialitzaci del programa, premeu
la tecla ESC o b feu un click al bot d'anullaci.

:h1 res=60000.HRTIMER - High Resolution Timer driver
The high resolution timer device driver, HRTIMER.SYS, enables a program
to access a normally unused timer chip found on IBM PCs.  It has a resolution
as high as 840 nanoseconds, 64K times better than the normal timer resolution 
of 55 milliseconds.
:p.
The only places I know of right now that has this program available are 
:hp4.CompuServe:ehp4., 
where the program can be found in the 
:hp4.Device Driver Development:ehp4.
library of the 
:hp4.OS/2 Developer's Forum I (OS2DF1):ehp4., 
under the name 
:hp4.TIMER.ZIP:ehp4.,
and on the anonymous ftp sites
:hp4.ftp.cdrom.com:ehp4. 
and 
:hp4.hobbes.nmsu.edu:ehp4..
The file can be found in the directory 
:hp4./pub/os2/dev16:ehp4.,
as 
:hp4.hrtimer.zip:ehp4..
:p.The source code for this device driver was obtained from the Fall 1991 issue of
IBM Personal Systems Developer magazine.  It is freeware, but the original
copyright belongs to IBM.

#ifdef USE_OS20MEMU
:h1 res=60001.OS20MEMU - OS/2 Memory Utilization Map
The utility program OS20MEMU, together with its special device driver,
screen files and DLLs, allow the user to get an exhaustive listing
of all memory usage by any programs on your OS/2 system, or by the
system itself.  
:p.The only places I know of right now that has this program available
are the anonymous ftp sites 
:hp4.ftp.cdrom.com:ehp4. 
and 
:hp4.hobbes.nmsu.edu:ehp4..
The file can be found in the directory 
:hp4./pub/os2/textutil:ehp4., 
as 
:hp4.20memu.zip:ehp4..
:p.OS20MEMU is freeware, written and copyrighted by IBM.
:note.Make sure to use the version dated November 1994 (or later), as the
earlier versions do not work with Warp.
#endif

:h1 res=60002.What is the conflict with PULSE?
This program, as well as PULSE, CPULOAD, CPUMETER and similar programs,
all attempt to measure how busy the computer is by trying to see how much
work they can accomplish at the lowest possible priority.  Presumably, if
one of these programs can do anything at that priority, it must be using
idle time.  If there is no idle time, the computer is 100% busy.  The more
this program can do at system idle priority, the less busy the computer
is assumed to be.
:p.The problem with running more than one of these programs at the same
time is that they begin to compete for that idle time.  If you ran two
copies of the same program, and nothing else, they should both show
about 50% CPU load.  If you run two disimilar programs, like this one
and PULSE, they would both be affected, but usually to differing degrees.

:h1 res=60003.How does HRTIMER.SYS help?
With HRTIMER.SYS installed, system overhead is included in the CPU Load.
:p.
The CPU Load is determined by comparing how much work could be done at
idle priority with the most the program has been able to do up to the
present moment.  Without more information, normal system background 
activity would appear as zero load.  If HRTIMER.SYS is installed on your
system, then this program executes a calibration loop at startup, in which
it determines just how much work can be accomplished at the highest 
possible priority.  This amount is then used for comparison.

:euserdoc.
